LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XSubTotalDescriptor Interface Referencepublished

provides access to the collection of subtotal fields in a subtotal descriptor. More...

`import"XSubTotalDescriptor.idl";`

Inheritance diagram for XSubTotalDescriptor:

## Public Member Functions
void | addNew ([in] sequence< com::sun::star::sheet::SubTotalColumn > aSubTotalColumns, [in] long nGroupColumn)
| adds a subtotal field definition to the descriptor. More...
void | clear ()
| removes all subtotal field definitions from the descriptor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the collection of subtotal fields in a subtotal descriptor.

See also
  com::sun::star::sheet::SubTotalDescriptor

## Member Function Documentation

## ◆ addNew()

void addNew | ( | [in] sequence< com::sun::star::sheet::SubTotalColumn > | aSubTotalColumns,
|  | [in] long | nGroupColumn
| ) |  |

adds a subtotal field definition to the descriptor.

Parameters

  aSubTotalColumns | a sequence of all columns used to calculate subtotal values.
  nGroupColumn | specifies which column of the source range is used to group the contents of the source data.

## ◆ clear()

void clear | ( |  | ) |

removes all subtotal field definitions from the descriptor.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSubTotalDescriptor.idl